-- NOTES:

-- ledge, keep movement unrestricted, play frames 0-1 of hornet anim,
-- repeat 1 as needed until apex of jump, play rest of anim, play CC_XELKHK_H_GP_A

function onBegin()
	disableMovement()
	makeUnskippable()
	if not getFlag("HornetGP-02NoRespawn") and not getFlag("HornetGP-02Seen") then
		wait(0.1)
		setFlag("HornetGP-02Moving",true)
		miniTextbox("CC_XELKHK_H_GP_A")
		wait(0.11)
		setFlag("HornetGP-02JumpsAway",true)
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HornetCastoffNeedle")
		wait(0.02)
		setFlag("HornetGP-02JumpedAway",true)
		wait(0.5)
		setFlag("HornetGP-02Seen",true)
	end
end

function onEnd()
	enableMovement()
	setFlag("HornetGP-02JumpsAway",false)
	setFlag("HornetGP-02NoRespawn",true)
	setFlag("HornetGP-02Seen",true)
end